
module GR
  class Dirs

    def self.current
      return Dir.pwd
    end

    def self.listing(path)
      Dir.entries(path).select {|entry| File.directory?(File.join(path,entry)) && !(entry.to_s =='.' || entry.to_s == '..') && GR::Dirs.git?(path, entry.to_s) }

    end

    def self.git?(path, entry)
      file = File.join(path, entry).to_s
      return File.exists?("#{file}/.git/config")
    end

  end
end